xdiff_file_rabdiff
xdiff_string_bdiff
xdiff Functions
PHP Manual

# xdiff_string_bdiff_size

(PECL xdiff >= 1.5.0)

xdiff_string_bdiff_size — Read a size of file created by applying a binary diff

### Description

int xdiff_string_bdiff_size ( string `$patch` )

Returns a size of a result file that would be created after applying binary `patch` to the original file.

### Parameters

`patch`

  The binary patch created by xdiff_string_bdiff() or xdiff_string_rabdiff() function.

### Return Values

Returns the size of file that would be created.

### Examples

Example #1 xdiff_string_bdiff_size() example

The following code applies reads a size of file that would be created after applying a binary diff.

`<?php
$binary_patch = file_get_contents('file.bdiff');
$length = xdiff_string_bdiff_size($binary_patch);
echo "Resulting file will be $length bytes long";
?>`

### See Also

- xdiff_string_bdiff() - Make binary diff of two strings
- xdiff_string_rabdiff() - Make binary diff of two strings using the Rabin's polynomial fingerprinting algorithm
- xdiff_string_bpatch() - Patch a string with a binary diff

xdiff_file_rabdiff
xdiff_string_bdiff
xdiff Functions
PHP Manual